cancel
Showing results for 
Search instead for 
Did you mean: 

How to resolved deprecated error?

Highlighted

How to resolved deprecated error?

Magento 1.9.4.0 = support PHP ver: 7.1 

Now we have deprecated function error like:

Deprecated functionality: Function mcrypt_module_open() is deprecated

When we try to check the support team and says like:

Website using older code that won't function on PHP 7.1.

Please share if you have any ideas.

Thank you.

4 REPLIES 4
Highlighted

Re: How to resolved deprecated error?

@Ashish_k_php you can upgrade your magento version to magento 1.9.4.5
It is working fine with php7.1

 

Thanks

Highlighted

Re: How to resolved deprecated error?

@rahul Gupta thank you for the reply and support.

We already did but still, deprecated functions error displayed which is mention above.

And hosting provider says that it's not based on that PHP 7.1 related issue.

It's based on using old code on your website.

We checked the website to have the latest updated software with no malware and not blacklist by anyone.

Still, we facing that issue on my website.



Highlighted

Re: How to resolved deprecated error?

@Ashish_k_php Sometimes magento shows the deprecated function error for those functions which can be depricated in future.
So i must say if it is not hampering your website keep using it.

 

Thanks

Highlighted

Re: How to resolved deprecated error?

Hello @Ashish_k_php 

Can you please try to add this library 

https://github.com/phpseclib/mcrypt_compat 

Also you can use below solution to fix this issue.

https://github.com/Inchoo/Inchoo_PHP7/issues/98 

 

If my answer is useful, please Accept as Solution & give Kudos